
Installer - Bug #19726

"The security certificate presented by this website was not issued by a trusted certificate authority"

05/31/2017 09:02 PM - Thomas Sanders

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.15.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

using foreman-installer (no options) on a fresh OS install, the WEB UI comes up with "The security certificate presented by this

website was not issued by a trusted certificate authority" on Chrome, IE, Firefox and no way to ignore the error.

This seems to be around "HSTS" being active and self signed certs.

Ideally I would like to install with SSL certs but I will be happy for a working web UI with self signed.

History

#1 - 06/01/2017 02:48 PM - Thomas Sanders

- Priority changed from Normal to High

This is occurring on CentOS 7.3 am currently testing for 7.2 and 6.8, 6.7

#2 - 06/02/2017 07:15 AM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

- Priority changed from High to Normal

By design we install the puppet CA signed certificate. The foreman-server-ssl-* parameters can be used to set a different certificate.
